HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Update Account Info and Properties with {providerAccountId}

This endpoint allows you to add and update Account information and properties using the {providerAccountId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Add or update one account field or property using your providerAccountId.

Use this endpoint when you identify accounts with your own IDs. To add or update one account field or property using the Arcadia-generated account identifier, use Add or Update Account Info and Properties with accountId.

The endpoint adds the field if it does not exist or updates the field if it already exists. You can update many account fields, including:

  • Any entry in the account.properties array.
  • Top-level account header fields such as accountName, customerOrgName, customerOrgId, or status.
  • addressString and other fields in the account.address object.
  • The account's electricity masterTariffId.

For larger account updates or upserts, use the account update endpoint. For non-electric tariffs, contracted rates, or tax rates, use Add or Update an Account Tariff.

Resource URI

PUT /rest/v1/accounts/pid/{providerAccountId}/properties

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.

Request body

FieldTypeDescription
keyNameStringAccount field or property key to add or update. Required.
dataValueStringValue to store for the field or property. Required.
accuracyNumberConfidence value for tariff-related updates. Optional.
fromDateTimeDateTimeStart of the effective date range for date-ranged values. Optional.
toDateTimeDateTimeEnd of the effective date range for date-ranged values. Optional.

For the full account property data model, account property workflow, and detailed examples, see Account Properties API.


Example

This example sets a value in the account.properties collection. The request sets the building area to 2,000 square feet.

PUT /rest/v1/accounts/pid/api-eg-008/properties

With this request body:

{  
    "keyName":"buildingArea",  
    "dataValue":"2000"  
}

The response returns the updated property:

{  
   "status": "success",  
   "count": 1,  
   "type": "PropertyData",  
   "results": [  
      {  
         "keyName": "buildingArea",  
         "dataType": null,  
         "dataValue": "2000"  
      }  
   ]  
}

Verify the update

After the example call, buildingArea is in the account's properties collection.

Call Get Account Properties to verify property values:

GET /rest/v1/accounts/pid/api-eg-008/properties
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

Body Params
string
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json